from pyinfra import host
from pyinfra.operations import apt
from pyinfra_docker import deploy_docker

apt.packages(
    name="Update and upgrade server",
    update=True,
    upgrade=True
)

apt.packages(
    name="Install usefull packages",
    packages=["htop", "curl", "ufw"],
)

apt.packages(
        name="Install packages required by Docker",
        packages=[
            "apt-transport-https",
            "ca-certificates",
            "curl",
            "gnupg-agent",
            "software-properties-common",
        ],
)

deploy_docker()
